{
    "path": "$OET_PATH/testcases/function_test/pkg_test/hdf5/hdf5-openmpi",
    "machine num": 1,
    "cases": [
        {
            "name": "test_hdf5-openmpi_service_log",
            "desc": "测试hdf5-openmpi服务的日志查看功能，验证服务日志是否能正常查看。",
            "machine num": 1
        },
        {
            "name": "test_hdf5-openmpi_function_install",
            "desc": "测试hdf5-openmpi软件包的安装功能，验证是否能通过包管理器成功安装。"
        },
        {
            "name": "test_hdf5-openmpi_function_version",
            "desc": "测试hdf5-openmpi软件包的版本查询功能，验证是否能正确获取并显示其版本信息。"
        },
        {
            "name": "test_hdf5-openmpi_function_basic_io",
            "desc": "测试hdf5-openmpi库的基础文件读写功能，验证是否能创建HDF5文件并写入/读取数据。"
        },
        {
            "name": "test_hdf5-openmpi_function_mpi_parallel",
            "desc": "测试hdf5-openmpi库的MPI并行I/O功能，验证多进程环境下是否能正确协同读写HDF5文件。"
        },
        {
            "name": "test_hdf5-openmpi_function_uninstall",
            "desc": "测试hdf5-openmpi软件包的卸载功能，验证是否能通过包管理器成功卸载且清理相关文件。"
        }
    ]
}